### Hierarchy

- unknown
  - GetBalancesRequest

## Index

### Constructors

- constructor

### Methods

- getCurrencyCode
- serializeBinary
- setCurrencyCode
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetBalancesRequest(): GetBalancesRequest

- Inherited from jspb.Message.constructor

  #### Returns GetBalancesRequest

## Methods

### getCurrencyCode

- getCurrencyCode(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2928

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2931

  #### Returns Uint8Array

### setCurrencyCode

- setCurrencyCode(value: string): GetBalancesRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2929

  #### Parameters

  - ##### value: string

  #### Returns GetBalancesRequest

### toObject

- toObject(includeInstance?: boolean): GetBalancesRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2932

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetBalancesRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetBalancesRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2935

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetBalancesRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetBalancesRequest, reader: BinaryReader): GetBalancesRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2936

  #### Parameters

  - ##### message: GetBalancesRequest

  - ##### reader: BinaryReader

  #### Returns GetBalancesRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetBalancesRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2934

  #### Parameters

  - ##### message: GetBalancesRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetBalancesRequest ): GetBalancesRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2933

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetBalancesRequest

  #### Returns GetBalancesRequest . AsObject

Generated using TypeDoc